ReflectionProperty::__toString
ReflectionType::allowsNull
Reflection
PHP Manual

# The ReflectionType class

(PHP 7)

## Introduction

The ReflectionType class reports information about a function's return type.

## Class synopsis

ReflectionType {
/* Methods */
public bool allowsNull ( void )
public bool isBuiltin ( void )
public string __toString ( void )
}

## Table of Contents

- ReflectionType::allowsNull — Checks if null is allowed
- ReflectionType::isBuiltin — Checks if it is a built-in type
- ReflectionType::__toString — To string

ReflectionProperty::__toString
ReflectionType::allowsNull
Reflection
PHP Manual